/***************** (c) 2006 BTC Korporacja ***********************************
                     http://www kamami.com
MACROS :

  SetBit  - set a selected bit in a byte variable.
  ClrBit  - clear a selected bit in a byte variable.
  ChgBit  - toggle a selected bit.
  ValBit  - return the logic value of a selected bit in a byte variable.

           - var_name : name of the character variable where the bit is located.
           - position : bit position in the variable (7 6 5 4 3 2 1 0).

******************************************************************************/

#ifndef LIB_BITS_H
#define LIB_BITS_H

#define SetBit( var_name, position )      ( var_name |= (1<<position) )
#define ClrBit( var_name, position )      ( var_name &= ((1<<position)^255) )
#define ChgBit( var_name, position )      ( var_name ^= (1<<position) )
#define ValBit( var_name, position )      ( var_name & (1<<position) )

#endif
